WordPress.org

Plugin Directory

Tiviclick Video Chat for WordPress

This plugin will add Tiviclick video chat to your wordpress website.

Welcome to Tiviclick Video Chats for WordPress websites.

This plugin integrates Tiviclick Video Chat widget with your WordPress website.

Face-to-face Video Chat with customers enables your business to establish personal relations, build credibility and brand, and encourages a sense of trust and loyalty as a key success factor.

Video Chat with customers transforms your website into the active front desk of your business.

Business that can benefit by using Tiviclick Video Chat:

  • E-Commerce websites.
  • Professional Directories.
  • Service providers: Lawyers, Doctors, Therapists, Coaches, Consultants.
  • Agents: Sales, Support, Insurance, Real Estate.
  • Job Recruiters in organizations and businesses.
  • Social networks, organizations networks.
  • Dating websites.

What you can do with Tiviclick:

  • Close more deals.
  • Accelerate your sales revenues by creating personal contacts with your customers.
  • Upgrade your customer's support level through face to face video chat.
  • Save a lot of Time, Travel and Money - meet people in live Video Chat.
  • Provide remote Consulting.
  • Interview new job candidates.
  • Save Time, Travel and Money.
  • Schedule business meetings.

Tiviclick's Main Features:

  • Non-registered visitor can chat with business Agent.
  • Each side can select using Video, Audio, Text Chat.
  • Agent registration in your site or in your Tiviclick account.
  • Show or hide Agents list at your website.
  • Show availability status of agents.
  • Mail message to Agent when unavailable.
  • Registered Agent can invite by mail with secret code any other person to chat.
  • Multi language widget.
  • Chats history.

Technology:

  • WebRTC with fallback to Flash.
  • Configure your chat widget option.
  • API for customer support mode.
  • API for Social Network / Dating / Buddypress mode.
  • Agent's Android App.

Service:

Pricing:

Operator's guide:

Requires: 3.0.1 or higher
Compatible up to: 4.1.7
Last Updated: 2015-3-16
Active Installs: 30+

Ratings

5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,1,1
100,1,1